File: deprecates-proxy-apis-5e11d7c4ae5227d2.yaml

package info (click to toggle)
nova 2:14.0.0-4+deb9u1
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 33,804 kB
  • sloc: python: 315,557; sh: 1,317; xml: 1,184; pascal: 1,168; makefile: 126; sql: 43
file content (29 lines) | stat: -rw-r--r-- 1,132 bytes parent folder | download | duplicates (3)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
---
deprecations:
  - |
    All the APIs which proxy to other services were deprecated in this API
    version. Those APIs will return 404 on Microversion 2.36 or higher. The API
    user should use native API as instead of using those pure proxy for other
    REST APIs. The quotas and limits related to network resources 'fixed_ips',
    'floating ips', 'security_groups', 'security_group_rules', 'networks' are
    filtered out of os-quotas and limit APIs respectively and those quotas
    should be managed through OpenStack network service. For using
    nova-network, you only can use API and manage quotas under Microversion
    '2.36'. The 'os-fping' API was deprecated also, this API is only related to
    nova-network and depend on the deployment. The deprecated APIs are as
    below:

    - /images
    - /os-networks
    - /os-fixed-ips
    - /os-floating-ips
    - /os-floating-ips-bulk
    - /os-floating-ip-pools
    - /os-floating-ip-dns
    - /os-security-groups
    - /os-security-group-rules
    - /os-security-group-default-rules
    - /os-volumes
    - /os-snapshots
    - /os-baremetal-nodes
    - /os-fping